Lintian Reports

W missing-debconf-dependency-for-preinst

All reports of missing-debconf-dependency-for-preinst for the archive. The extended description of this tag is:

Packages using debconf in their preinst script must pre-depend on debconf, with appropriate discussion on debian-devel. Since debconf is almost always already installed, this is normally better than depending on it and falling back to a different configuration system.

Severity: normal, Certainty: possible

Check: debconf, Type: binary, udeb, source

Evolution of the missing-debconf-dependency-for-preinst Lintian tag over the past 366 days:

The beforementioned graph for the missing-debconf-dependency-for-preinst tag

Emitted (non-overridden): 2, overridden: 4, total: 6

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

leafnode 1.11.10-3 (binary)


libc6 2.24-12 (binary) overridden


postfix 3.2.2-1 (binary) overridden